Intrusion Prevention

COWON.America.jetAudio.M3U.File.Processing.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Buffer Overflow vulnerability in COWON America jetAudio.
This issue is caused by an error in the vulnerable software when handling a malformed "M3U" file with an overlong URL in the "EXTM3U" section. It may allow remote attackers to execute arbitrary code by sending a crafted "M3U" file.

Affected Products

COWON America jetAudio Plus 7.1.9 .4030
COWON America jetAudio Basic 8.0.2
COWON America jetAudio Basic 7.0.3

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Currently we are not aware of any vendor supplied patch for this issue.

CVE References

CVE-2007-5487